Development
  • Guides
  • API Reference
  • API Explorer
  • SDKs
  • Sample apps
  • System status
Support
  • Developer forums
  • Developer blog
  • YouTube
  • X
More
  • Square Home
  • Square Developer
  • App Marketplace
  • Partner with Square
  • Solutions Partner Program
  • Pricing
  • Sales

© 2026 Square, Inc.

  • Developer terms of service
  • Developer Integration and Marketing Agreement
  • Privacy policy
  • Partnerships
  • Sign In
  • Sign In

    Subscriptions

  • Create subscription

  • Bulk swap plan

  • Search subscriptions

  • Retrieve subscription

  • Update subscription

  • Delete subscription action

  • Change billing anchor date

  • Cancel subscription

  • List subscription events

  • Pause subscription

  • Resume subscription

  • Swap plan

  • Webhooks

  • subscription.created

  • subscription.updated

<- Subscriptions API

Subscriptions API

All versions ->

Resume subscription

POST

 /v2/subscriptions/{subscription_id}/resume

Schedules a RESUME action to resume a paused or a deactivated subscription.

Permissions:CUSTOMERS_READ, INVOICES_WRITE, ITEMS_READ, ORDERS_WRITE, PAYMENTS_WRITE, SUBSCRIPTIONS_WRITE

Guide

Deactivated Subscriptions

Try in API Explorer
Link to section

Path parameters

Example code

Link to section

subscription_id

string

Required

The ID of the subscription to resume.

Link to section

Request body

Link to section

resume_effective_date

string

Beta

The YYYY-MM-DD-formatted date when the subscription reactivated.

Link to section

resume_change_timing

string

Beta

The timing to resume a subscription, relative to the specified resume_effective_date attribute value.

Link to section

Response fields

Link to section

errors

Errors encountered during the request.

Link to section

subscription

The resumed subscription.

Link to section

actions

Beta

A list of RESUME actions created by the request and scheduled for the subscription.

Link to section

Examples

All versions ->

POST /v2/subscriptions/{subscription_id}/resume
curl https://connect.squareup.com/v2/subscriptions/56214fb2-cc85-47a1-93bc-44f3766bb56f/resume \ -X POST \ -H 'Square-Version: 2026-11-18' \ -H 'Authorization: Bearer ACCESS_TOKEN' \ -H 'Content-Type: application/json' \ -d '{}'

Response JSON

{ "subscription": { "id": "56214fb2-cc85-47a1-93bc-44f3766bb56f", "location_id": "S8GWD5R9QB376", "plan_variation_id": "6JHXF3B2CW3YKHDV4XEM674H", "customer_id": "CHFGVKYY8RSV93M5KCYTG4PN0G", "start_date": "2023-06-20", "status": "ACTIVE", "version": 1, "created_at": "2023-06-20T21:53:10Z", "card_id": "ccof:qy5x8hHGYsgLrp4Q4GB", "phases": [ { "uid": "873451e0-745b-4e87-ab0b-c574933fe616", "ordinal": 0, "order_template_id": "U2NaowWxzXwpsZU697x7ZHOAnCNZY", "plan_phase_uid": "X2Q2AONPB3RB64Y27S25QCZP" } ], "timezone": "America/Los_Angeles", "source": { "name": "My Application" } }, "actions": [ { "id": "18ff74f4-3da4-30c5-929f-7d6fca84f115", "type": "RESUME", "effective_date": "2023-09-01" } ] }

Error descriptions

400 Bad request

{ "errors": [ { "code": "CUSTOMER_MISSING_EMAIL", "category": "INVALID_REQUEST_ERROR" } ] }